package com.jpsoft.shinestar.modules.business.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.business.entity.GuestInfoRecord;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface GuestInfoRecordService {
	GuestInfoRecord get(String id);
	boolean exist(String id);
	int insert(GuestInfoRecord model);
	int update(GuestInfoRecord model);
	int delete(String id);
	List<GuestInfoRecord> list();
	GuestInfoRecord findByPersonId(long personId);
	Page<GuestInfoRecord> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize,boolean count, List<Sort> sortList);

	Map getScanNum(Map<String, Object> searchParams);

    GuestInfoRecord findByOpenId( String openId);
}